%define dist Algorithm-SVM
Name: perl-%dist
Version: 0.06
Release: alt2

Summary: Perl bindings libsvm
License: GPL or Artistic
Group: Development/Perl

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

# Automatically added by buildreq on Sat Apr 17 2004
BuildRequires: gcc-c++ libstdc++-devel libsvm-devel perl-devel

%description
Algorithm::SVM provides Perl bindings for libsvm, a library for Support
Vector Machines.  SVM (Support Vector Machines) is a powerful learning
machine algorithm for classification an regression problems.

%prep
%setup -q -n %dist-%version
%__rm -fv libsvm.{h,cpp}

%build
%perl_vendor_build OBJECT='SVM.o bindings.o' LIBS='-lm -lsvm'

%install
%perl_vendor_install

%files
%doc Changes README TODO
%perl_vendor_archlib/Algorithm
%perl_vendor_autolib/Algorithm
%perl_vendor_man3dir/Algorithm*

%changelog
* Sat Apr 17 2004 Alexey Tourbin <at@altlinux.ru> 0.06-alt2
- rebuilt against libsvm-2.6

* Fri Nov 21 2003 Alexey Tourbin <at@altlinux.ru> 0.06-alt1
- initial revision (built against libsvm shared library)
